Loading...
Searching...
No Matches
casacore::details Namespace Reference

## Classes

class | CyclicPtr
| A smart pointer class that allows to work with complex cycles without using weak_ptrs. More...
class | CyclicState
| Class to hold the state returned by CyclicPtr::Freeze(). More...

## Functions

template<typename T, typename... Args>
CyclicPtr< T > | MakeCyclic (Args &&... args)

## Function Documentation

## MakeCyclic()

template<typename T, typename... Args>

CyclicPtr< T > casacore::details::MakeCyclic | ( | Args &&... | args | ) |

Definition at line 185 of file CyclicPtr.h.